#!/bin/sh
IDSTRING="\$Id: header.sh_v 1.6 1996/02/11 22:14:39 jhl Exp $"

if [ $# -ge 1 ]; then
  idstr="$1"
else
  idstr="$IDSTRING"
fi

LOGFILE="${SHAK_LOGPATH}/${SHAK_LOGBASENAME}${SHAK_TAPENUMBER}${SHAK_SHAKTYPE}_`date -u +%y%m%d%H%M`"
echo $LOGFILE
echo -n "#" | ${SHAK_USERPATH}/lib/shak0_write_file ${SHAK_LOGHOST} ${LOGFILE}
echo "# NEW BACKUP LOG"  | ${SHAK_USERPATH}/lib/shak0_append_file ${SHAK_LOGHOST} ${LOGFILE}
echo "# $SHAK_SHAKHEADER" | ${SHAK_USERPATH}/lib/shak0_append_file ${SHAK_LOGHOST} ${LOGFILE} 
echo "# BACKUP DATE:`date`" | ${SHAK_USERPATH}/lib/shak0_append_file ${SHAK_LOGHOST} ${LOGFILE} 
echo "# ${idstr}"  | ${SHAK_USERPATH}/lib/shak0_append_file ${SHAK_LOGHOST} ${LOGFILE} 
echo "# Backup filter date: $SHAK_SHAKDATE"  | ${SHAK_USERPATH}/lib/shak0_append_file ${SHAK_LOGHOST} ${LOGFILE} 
echo "# Backup filter time: $SHAK_TIME_T"  | ${SHAK_USERPATH}/lib/shak0_append_file ${SHAK_LOGHOST} ${LOGFILE} 
echo "# Backup filter date: $SHAK_SHAKDATE" 1>&2
echo "# Backup filter time: $SHAK_TIME_T" 1>&2
echo "# FILEARGS : $FILEARGS" | ${SHAK_USERPATH}/lib/shak0_append_file ${SHAK_LOGHOST} ${LOGFILE}
echo "# COMMAND  :  $FCMD" | ${SHAK_USERPATH}/lib/shak0_append_file ${SHAK_LOGHOST} ${LOGFILE}

